puavo-os (0.34.0+build1683703314) bullseye; urgency=medium

  * Automatic build for puavo-os on Wed May 10 07:21:54 UTC 2023.

 -- Puavo Org <dev@opinsys.fi>  Wed, 10 May 2023 07:21:54 +0000

puavo-os (0.34.0) bullseye; urgency=medium

  * New puavo-os version.

 -- Puavo Org <dev@opinsys.fi>  Mon, 14 Aug 2017 10:29:15 +0300

puavo-os (0.33.0~rc3+b68cfa9b9e3a997aee8de8e52a6427c5e9a99149) trusty; urgency=medium

  * Git(b68cfa9b9e3a997aee8de8e52a6427c5e9a99149)
  * make: add configure to target to configure all
  * make: add install target to install all
  * make: change the default target to all to build everything
  * make: do not update rootfs in debootstrap-rootfs target
  * make: rename target: rootfs => debootstrap-rootfs
  * debs: build all changes files in one batch in all target

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 05 Sep 2016 13:58:04 +0300

puavo-os (0.33.0~rc2+80b4f9260072500755f157b594d8f8778d0e693f) trusty; urgency=medium

  * Git(80b4f9260072500755f157b594d8f8778d0e693f)
  * make: fix invalid path to debian/changelog
  * parts/wlan: mapper: remove build dir in clean target
  * parts/wlan: mapper: run setup.py build in all target
  * parts/wlan: rubylib: remove version in clean target
  * parts/wlan: mapper: remove puavowlanmapper/icons.py in clean target
  * parts/wlan: ap: remove puavo-wlanap.service from build dir after
    install
  * parts: add iivari to subdir list
  * parts: define one subdir per line
  * parts/iivari: client: clean everything in clean target
  * parts/iivari: client: build everything in all target
  * parts/iivari: client: add .PHONY targets
  * opinsys-ca-certificates: add clean target
  * opinsys-ca-certificates: add .PHONY targets to Makefile
  * parts: add install target
  * Add on option on darkdm to start a shell.
  * make: make debootstrap suite configurable via parameter
  * make: replace hardcoded puavo-os with the current repository name
  * Use full variable name for $puavo_pkg::pkgbasedir.
  * Fix issues in puavo_pkg puppet module.
  * Add module for helping with puavo-pkg installations.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 05 Sep 2016 11:51:58 +0300

puavo-os (0.33.0~rc1+0454f0952eb491c1d8657f3963ec07dba5d07e46) trusty; urgency=medium

  * Git(0454f0952eb491c1d8657f3963ec07dba5d07e46)
  * db2fig.syslog.dhcpd: rename function
  * db2fig.syslog.dhcpd: remove useless figure
  * log2db.syslog.dhcpd: try to deduce the year from rtc_cmos kernel
    message
  * log2db.syslog.dhcpd: remove debug print statement
  * log2db.syslog.dhcpd: print error if invalid line is encountered
  * Use a generated machine name for systemd-nspawn so that we can get
    to the same container simultaneously from different shells/actions.
  * It's nicer when help messages fit 80 columns.
  * Make image_class public.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 01 Sep 2016 17:18:39 +0300

puavo-os (0.32.0+16c1c5471f06d64afaab1456b725832b669f843e) trusty; urgency=medium

  * Git(16c1c5471f06d64afaab1456b725832b669f843e)
  * parts/rules: adm: let Puppet manage home directories
  * parts/rules: adm: add mechanism for distributing user-specific git
    config file
  * parts/rules: adm: add mechanism for distributing user-specific bash
    rc file

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 30 Aug 2016 12:15:10 +0300

puavo-os (0.31.0+716fc994d96935fe66da3d6b887ab8a0317031fb) trusty; urgency=medium

  * Git(716fc994d96935fe66da3d6b887ab8a0317031fb)
  * parts/rules: adm: allow admins to gain root without password
  * parts/rules: image: include adm in allinone
  * parts/rules: adm: add all adm users to a common supplementary group
  * parts/vpn: get remote host from puavo-conf
  * parts/vpn: remove openvpn.conf
  * parts/rules: bash: require bash package
  * parts/rules: use existing separate bash module for bash
    configuration
  * parts/rules: adm: define one common adm user
  * parts/rules: add class for managing adm users

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 29 Aug 2016 16:03:48 +0300

puavo-os (0.31.0~rc2+1894b5186c15d077560b0965699d76a178538723) trusty; urgency=medium

  * Git(1894b5186c15d077560b0965699d76a178538723)
  * parts/rules: apt: set local mirror source only if it exists

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 25 Aug 2016 13:01:21 +0300

puavo-os (0.31.0~rc1+d67659b4c382cd33c7cac8b3d6688dde36f523cf) trusty; urgency=medium

  * Git(d67659b4c382cd33c7cac8b3d6688dde36f523cf)
  * Add sudo to the list of build tools
  * make: fix image arch suffix
  * Install puavo-packages to /usr/share/puavo-pkg/packages.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Aug 2016 16:05:24 +0300

puavo-os (0.30.3+e34f566092a5ccf53c7d66db88a60b5de1f382af) trusty; urgency=medium

  * Git(e34f566092a5ccf53c7d66db88a60b5de1f382af)
  * make: fix debootstrap_mirror usage

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Aug 2016 13:20:53 +0300

puavo-os (0.30.2+12b3b4e53edbc13028bfdf7caa2cc4601e476aeb) trusty; urgency=medium

  * Git(12b3b4e53edbc13028bfdf7caa2cc4601e476aeb)
  * Update README.md
  * Add script for installing build tools
  * make: public debootstrap_mirror variable

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Aug 2016 13:15:21 +0300

puavo-os (0.30.1+4095cb9d101e996a612dbaa172cc5b4e354ca3ba) trusty; urgency=medium

  * Git(4095cb9d101e996a612dbaa172cc5b4e354ca3ba)
  * make: fix mksquashfs exclude file syntax
  * make: change the default debootstrap mirror to httpredir.debian.org

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Aug 2016 12:34:42 +0300

puavo-os (0.30.0+318d768e789ae4afb6d79860885b79441028a31a) trusty; urgency=medium

  * Git(318d768e789ae4afb6d79860885b79441028a31a)
  * make: fix SysV RC Policy setup

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Aug 2016 11:17:57 +0300

puavo-os (0.29.0~rc3+5051f7735aea1ae9897495b782932716a4a9d266) trusty; urgency=medium

  * Git(5051f7735aea1ae9897495b782932716a4a9d266)
  * make: use sysv RC policy to disable daemons in rootfs
  * part/rules: add sysv::policy-rc
  * part/rules: remove useless/unnecessary packages
  * make: setup local puavo-os debs APT repo by Puppet
  * make: rename target: .local-configure => .configure-localhost
  * Remove UTF-8 locale requirement
  * make: minor cosmetic tweaks
  * make: remove sudo revocation
  * make: rename term: container => rootfs
  * make: rename target: local-update => update-localhost
  * make: rename target: container-sync => update-rootfs-repo
  * make: rename target: container-update => update-rootfs
  * make: rename target: container-shell => spawn-rootfs-shell
  * make: rename target: container-build => rootfs
  * make: rename container_dir => rootfs_dir
  * make: rename private variables
  * make: rename invalid .PHONY target
  * make: update container after it has been built
  * make: add container-build target for creating container dir
  * make: try to mkdir image dir only if it does not exist
  * make: build images via temporary files
  * parts/rules: require puavo-conf package for puavo-onboard parameters
  * make: update debs repository before using apt-get

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 23 Aug 2016 17:08:01 +0300

puavo-os (0.29.0~rc2+71807ae0de82f30b07564f28b6f621145d7c7560) trusty; urgency=medium

  * Git(71807ae0de82f30b07564f28b6f621145d7c7560)
  * make: add separate target for syncing container repo
  * make: extract puppet configuration phase to a separate private
    target
  * part/rules: use ftp.debian.org as the backup if mirror is not set
  * parts/rules: retrieve current debian mirror as a facter fact
  * make: add separate private target for creating a release commit

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 22 Aug 2016 16:59:49 +0300

puavo-os (0.29.0~rc1+d4f5474691e3b5882520eb8306ddd20f0430f6ff) trusty; urgency=medium

  * Git(d4f5474691e3b5882520eb8306ddd20f0430f6ff)
  * make: exclude unnecessary stuff from image
  * make: fix shell redirection issues
  * make: fix deboostrap --include flag usage

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 22 Aug 2016 11:07:38 +0300

puavo-os (0.28.0+ca6554da732422af6f36b33787562ad99c871f71) trusty; urgency=medium

  * Git(ca6554da732422af6f36b33787562ad99c871f71)
  * parts/rules: include kernels in image::allinone
  * make: add 'image' target for packing container to a squashfs file
  * Do not center the window-list applet, put it to the left side.
  * Lock screen when computer goes to suspend.
  * Use the default cinnamon theme, because "BlueMenta" requires
    precision clicking to the icons in the panel.
  * Change gtk-theme to "Menta" so that "Home" and "Trash" texts can be
    seen, whatever the background is.
  * Set panel size and scale icons in it, independently from theme.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 19 Aug 2016 16:36:00 +0300

puavo-os (0.28.0~rc6+2e4327ac640e521d52b263d1bd90b2a6d5629da8) trusty; urgency=medium

  * Git(2e4327ac640e521d52b263d1bd90b2a6d5629da8)
  * parts: adopt opinsys-ca-certificates
  * make: preserve merges when making a release rebase

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 19 Aug 2016 14:02:30 +0300

puavo-os (0.28.0~rc5+3d1fb920d298a4e893d3401a022ad31f08f26ac3) trusty; urgency=medium

  * Git(3d1fb920d298a4e893d3401a022ad31f08f26ac3)
  * debs: ignore dpkg -i errors, apt-get -f install fixes them

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 19 Aug 2016 13:13:33 +0300

puavo-os (0.28.0~rc4+f48780dd1ba268d30e609b071242e68b9489ffaa) trusty; urgency=medium

  * Git(f48780dd1ba268d30e609b071242e68b9489ffaa)
  * debs: fix Makefile to include build arch in .changes filenames

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 19 Aug 2016 13:07:35 +0300

puavo-os (0.28.0~rc3+3fb7fec08889502e0af7a8cbdeed6717b5b3a366) trusty; urgency=medium

  * Git(3fb7fec08889502e0af7a8cbdeed6717b5b3a366)
  * debs: fix Makefile to not generate filename targets with colons
  * debs: add autopoweroff 2.9.1-0+puavo1
  * debs/ubuntu-font-family-sources: 1:0.83-0+puavo1
  * debs/ubuntu-font-family-sources: add script for downloading upstream
    sources
  * debs/ubuntu-font-family-sources: update Standards-Version
  * debs: import ubuntu-font-family-sources (1:0.83-0ubuntu2)
  * Fix typo.
  * We need to change our default background sometimes.  Ideas welcome.
  * Use only one workspace by default.
  * Make Gnome backgrounds show up in Cinnamon settings.
  * Maximize windows when dragged to top.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 19 Aug 2016 12:48:49 +0300

puavo-os (0.28.0~rc2+2bac228d83fb6ed33bd774ac4b92e4f91cd246e4) trusty; urgency=medium

  * Git(2bac228d83fb6ed33bd774ac4b92e4f91cd246e4)
  * make: get rid of release target

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 16:26:30 +0300

puavo-os (0.28.0~rc1+579715436dd8ccc3bd4f0981963328f35e7fb774) trusty; urgency=medium

  * Git(579715436dd8ccc3bd4f0981963328f35e7fb774)
  * make: add target for pushing release clean sets
  * debs/visionmedia-mon: fix debian install rules
  * debs/visionmedia-mon: add patch for fixing Makefile
  * debs/visionmedia-mon: add script for downloading upstream sources
  * debs: add visionmedia-mon 1.2.2
  * debs: move auxillary build scripts to .aux/
  * debs/fluentd: fix installation
  * debs/fluentd: add script for downloading upstream sources
  * debs: add fluentd 0.10.57
  * Install a more complete cinnamon-desktop environment.  The packages
    want to pull in "gnome-media"- and "synaptic"-packages as well, so
    let them come.
  * Show icons for home, trashcan and mounted volumes on the desktop.
  * Use "timeline" as Alt+Tab -switcher style.
  * Put these applications to panel-launcher: nemo, iceweasel/firefox,
    chromium, google-chrome.
  * Make cinnamon panel applet list more like the list in our previous
    desktop.
  * webmenu: do not install webmenu twice (I should learn the
    alphabets).
  * Add webmenu applets to cinnamon panel.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 16:22:32 +0300

puavo-os (0.27.1+176e41d5bf8e51c2b8adf35d96c6639b2fd8eb5d) trusty; urgency=medium

  * Git(176e41d5bf8e51c2b8adf35d96c6639b2fd8eb5d)
  * make: load Puppet modules from this repository

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 13:02:50 +0300

puavo-os (0.27.0+3e26c28bc3659344fc2c242fffe928cfe317b2dc) trusty; urgency=medium

  * Git(3e26c28bc3659344fc2c242fffe928cfe317b2dc)
  * debs/puavo-os: update .gitignore
  * debs/puavo-os: remove abandoned symlink to monitor
  * debs/puavo-os: fix debian/rules to install webmenu
  * debs: adopt webkiosk-language-selector
  * parts: adopt webkiosk-language-selector
  * parts/webkiosk-language-selector: remove useless files
  * webmenu: Install cinnamon-applets to the correct path, really.
  * Run "install" make-target for webmenu from debian/rules.
  * webmenu: Yet more consistent use of $(datarootdir) in Makefile.
  * Add applets for webmenu/cinnamon-integration.
  * webmenu: I do not know why we need "uninstall"-target in Makefile,
    but while we have it, use "rm -f" instead of "rm".  This is because
    "rm" without "-f" will fail if file does not exist.
  * webmenu: Use $(datarootdir) more consistently in Makefile.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 12:58:40 +0300

puavo-os (0.26.0+cb1d95135e004a2b9614545a6c880f0e01f73bd1) trusty; urgency=medium

  * Git(cb1d95135e004a2b9614545a6c880f0e01f73bd1)
  * debs: rename build => build-changes
  * debs: build and install build-deps only if they have changed
  * debs: rename local Makefile variables
  * make: remove debs from top-level targets
  * make: display help by defualt
  * make: print error if trying to target other than Puavo OS systems
  * make: remove useless top-level targets
  * make: sort help output in alphabetical order
  * make: prefix all targets modifying localhost with local-
  * make: rename term: rootfs => container

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 11:38:53 +0300

puavo-os (0.25.2+7da328a424259e8dc563eb949129ee5a48b7b238) trusty; urgency=medium

  * Git(7da328a424259e8dc563eb949129ee5a48b7b238)
  * make: run apt-get update before installing anything
  * make: update help target's output

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 09:10:15 +0300

puavo-os (0.25.1+5bc813356a597bcd5c477ec337816f93c79f49e1) trusty; urgency=medium

  * Git(5bc813356a597bcd5c477ec337816f93c79f49e1)
  * make: include lsb-release in boostrap phase
  * debs/nodejs-bundle: add libwww-perl to build-deps

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 18 Aug 2016 08:55:07 +0300

puavo-os (0.25.0+f0a9683b30cbff233ff20c7fe5eac0d1baba20df) trusty; urgency=medium

  * Git(f0a9683b30cbff233ff20c7fe5eac0d1baba20df)
  * make: build packages in stages when updating
  * make: remove useless install-build-deps target
  * debs: provide staged builds
  * debs/puavo-os: add symlink to webmenu sources
  * debs: add phony target for updating the repository
  * make: separate update target from rootfs-update target
  * make: require /puavo-os before applying
  * debs: cleanup Makefile
  * debs/puavo-os: remove conflicting build dependency: npm
  * debs/nodejs-bundle: remove invalid conflict: node
  * parts: adopt webmenu
  * debs: add node-webkit
  * debs/node-webkit: add script for downloading the upstream source
  * debs: add packaging for node-webkit
  * debs: add nodejs-bundle
  * debs/nodejs-bundle: add script for downloading the upstream source
  * debs: add initial packaging for nodejs-bundle
  * Do not link nbi.img, kernel package does not contain it.
  * Some node-module needs "libgettextpo0"-package.
  * gnome-themes-extras is no more (on Debian Jessie), gnome-themes-
    standard is. I do not know if that fits the bill, but let's try...
  * Drop ruby version from webmenu dependencies.
  * Build webmenu for Debian (Jessie).
  * Enable "kernels"-module for Debian.  We need it at least for default
    kernel links, perhaps more to come in the future.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 17 Aug 2016 17:15:48 +0300

puavo-os (0.24.0+58384b5be667c1077b71ecb242f0c729274b25bc) trusty; urgency=medium

  * Git(58384b5be667c1077b71ecb242f0c729274b25bc)
  * make: run apt-get commands with sudo
  * make: rename local variables
  * make: improve help target
  * make: use sudo inside make targets
  * parts/rules: declare apt::default_repositories before main stage
  * make: trivial cleanup
  * make: add local-apply target for applying all rules to localhost
  * debs: add symlink to iivari source dir
  * debs: adopt iivari-client
  * debs: remove build products (.debs and .changes) on clean target
  * debs: trivial Makefile cleanup
  * debs: clean subdirs tool on clean target
  * do-changes: accept multiple changes file parameters
  * do-changes: add -r flag for removing files
  * Generalize cp-changes script

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 16 Aug 2016 16:08:16 +0300

puavo-os (0.23.0+72c327959cccc46a4d7d2053b6bb576340b15af0) trusty; urgency=medium

  * Git(72c327959cccc46a4d7d2053b6bb576340b15af0)
  * debs: copy files to pool in a separate target
  * debs: build packages only if they do not yet exist
  * debs: add script for building packages
  * cp-changes: match only lines in Files: section
  * debs: add onboard to build list
  * debs/onboard: 1.0.1-0+puavo1
  * debs/onboard: add script for downloading upstream source
  * debs/onboard: import 1.0.1-0ubuntu1
  * Remove remnants of LTSP server and thinclient support
  * parts/client: remove unused script
  * parts/client: remove unused script
  * parts: remove puavo-monitor
  * debs: add libpam-envfeed 0.5
  * make: boostrap rootfs with contrib and non-free components
  * make: fix clean target to cleanup debs pool as well
  * make: apply image::allinone instead of just basic
  * parts/rules: add image::allinone class
  * make: do not use detailed exitcodes with puppet apply
  * parts/rules: prepend all tags with tag_ -prefix
  * parts/rules: do not include basic bundle in basic images
  * Allow adding /etc/ssh/ssh_host_*_key to images.  Except do exclude
    ssh server keys when building image from a live system, to prevent
    mistakes.  Perhaps this should be revisited, but it's probably
    better that puavo-freeze-system-to-image is not unsafe by default.
  * Linux kernel 4.5.0-0.bpo.2-amd64 is no more on linux-backports, so
    do not try to install it.  Installing 4.6.0-0.bpo.1-amd64 did not
    work due to dependency on linux-base 4.3.

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 15 Aug 2016 16:28:42 +0300

puavo-os (0.22.0~rc4+2ea03b01576e3a748826f2040e1ad92303df93c1) trusty; urgency=medium

  * Git(2ea03b01576e3a748826f2040e1ad92303df93c1)
  * debs: disable binary package caching db
  * make: generate en_US.UTF-8 locale during rootfs bootstrap
  * parts/rules: disable kernels module
  * parts/rules: do not use apt module for anything
  * make: apply basic Puppet rules to rootfs during update
  * parts/rules: add image rules for basic images
  * make: ensure HEAD is a release commit before updating rootfs
  * make: install puppet-common to rootfs during bootstrap
  * make: ensure HEAD is release before building debs
  * make: add target for ensuring HEAD is a release commit
  * Gitignore some temporary deb side-products
  * git-dch: add -z to exit success on empty release
  * make: cleanup and formatting

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 10 Aug 2016 18:04:58 +0300

puavo-os (0.22.0~rc3+2be1d4da1278c65ecb76bbda98672084681fc2f6) trusty; urgency=medium

  * Git(2be1d4da1278c65ecb76bbda98672084681fc2f6)
  * make: remove useless top-level targets
  * make: add debs target
  * make: maintain puavo-os repo in rootfs's /puavo-os
  * make: update help target

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 09 Aug 2016 16:24:20 +0300

puavo-os (0.22.0~rc2+6b27874ef1d03b2406b2ab73a38b3c547cda8359) trusty; urgency=medium

  * Git(6b27874ef1d03b2406b2ab73a38b3c547cda8359)
  * make: link debs to pool instead of copying them
  * cp-changes: add -l to link instead of copy
  * Revert "make: move debs to pool instead of copying them"

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 09 Aug 2016 13:18:55 +0300

puavo-os (0.22.0~rc1+d56668345eb011688fc619e01306512821065506) trusty; urgency=medium

  * Git(d56668345eb011688fc619e01306512821065506)
  * make: move debs to pool instead of copying them
  * Remove useless mv-changes script
  * cp-changes: add -m flag to move instead of copy
  * cp-changes: add --help flag
  * make: remove install target from parts

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 09 Aug 2016 12:39:15 +0300

puavo-os (0.21.0+4a45e200dc3e638489423cb656e60a2fc9938c52) trusty; urgency=medium

  * Git(4a45e200dc3e638489423cb656e60a2fc9938c52)
  * git-dch: allow empty releases, but issue a warning
  * git-dch: simplify release entry format
  * git-dch: give version format hint after invalid input
  * git-dch: do not allow commit id to be modified
  * Rename a script
  * make: do not remove bundled gems in clean target

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 09 Aug 2016 11:12:28 +0300

puavo-os (0.20.0~rc4+58bb3a40086ba378166acf0d0aa2583ee881d0d0) trusty; urgency=medium

  * New release
  * make: fix release target
  * Add option to override the default debian/changelog filepath
  * Add --help to git-update-debian-changelog
  * make: simplify rootfs updating
  * make: fix install-build-deps target
  * parts/conf: build-depend on libtool-bin
  * parts/monitor: make phony targets .PHONY
  * parts/client: rename default Makefile target
  * parts/monitor: rename default Makefile target
  * make: hide all auxillary targets
  * debs: add symlinks to parts
  * make: trivial cleanup
  * make: add rootfs dir to rootfs-shell prerequisities
  * make: move all debian packaging stuff to debs/
  * parts/wlan: fix version number parsing
  * make: remove build target, use the default target for building
  * make: move ports to debs
  * make: use build target for building everything
  * make: add build target for parts
  * make: add build target for debs
  * make: list all subparts explicitly
  * Git(58bb3a40086ba378166acf0d0aa2583ee881d0d0)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 09 Aug 2016 10:15:25 +0300

puavo-os (0.20.0~rc3+31bc78e38673a400ac3ab0bbc5beac944bb56091) trusty; urgency=medium

  * New release
  * ltsp: client: disable SPNEGO principal exchange
  * Revert "ltsp: client: do not write smb.conf anymore"
  * Git(31bc78e38673a400ac3ab0bbc5beac944bb56091)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 07 Jul 2016 14:48:39 +0300

puavo-os (0.20.0~rc2+af572f0f14b079c9cdbc9c48280abecac7106abd) trusty; urgency=medium

  * New release
  * sharedir: client: do not update GTK bookmarks on X session init
    phase
  * ltsp: client: do not write smb.conf anymore
  * sharedir: client: keep GTK bookmarks updated continuously
  * sharedir: client: use SRV _sambaserver._tcp instead of hard-coded
    hostname
  * bootserver: dnsmasq: add samba server SRV records
  * Git(af572f0f14b079c9cdbc9c48280abecac7106abd)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 07 Jul 2016 13:25:40 +0300

puavo-os (0.20.0~rc1+d58a7d6cb66e17eaa4c90f6953bb579038960441) jessie; urgency=medium

  * New release
  * debs: make: update Packages whenever any .deb has changed
  * make: add rootfs-shell target for entering rootfs shell, yo
  * make: renames and cleanups
  * make: rename deb-pkg-install-build-deps => install-build-deps
  * make: add ports to subdirs
  * make: add clean target
  * make: move all debs targets to debs/Makefile
  * make: remove rootfs-create, it is equivalent with rootfs-update
  * make: fix rootfs-update
  * make: add update and rootfs-update targets
  * make: include nothing but 'make' in fresh rootfs
  * make: create a marker directory (/puavo-os) inside rootfs
  * make: rename rootfs target => rootfs-create
  * bootserver_ddns: do not add any iface facts if ipaddress module is
    missing
  * make: declare .PHONY targets separately
  * make: initialize local repository in debootstrap phase
  * make: install git to the rootfs in debootstrap phase
  * Add cinnamon to package list.
  * Fix typos
  * Git(d58a7d6cb66e17eaa4c90f6953bb579038960441)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 05 Jul 2016 14:01:22 +0300

puavo-os (0.19.0+2639524a247c46635d838e844c0acbaf9e50bb62) jessie; urgency=medium

  * New release
  * Enable puavo-vpn-client-{dnsmasq,openvpn} services on laptops
  * Enable puavo-vpn-client-openvpn service on wirelessaccesspoints
  * parts/vpn: client: generate systemd service units during install
  * Wrap long lines
  * Add parameter for controlling puavo-vpn-client-openvpn service
  * Add parameter for controlling puavo-vpn-client-dnsmasq service
  * Git(2639524a247c46635d838e844c0acbaf9e50bb62)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 22 Jun 2016 13:27:40 +0300

puavo-os (0.18.0+3ccb4ce4d7c89e9b93561f5fb527f256e01057a6) jessie; urgency=medium

  * New release
  * Git-ignore debian/puavo-blackboard/
  * parts/vpn: client: add systemd service units
  * parts/rules: add puavo-blackboard package
  * Git(3ccb4ce4d7c89e9b93561f5fb527f256e01057a6)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 22 Jun 2016 11:05:57 +0300

puavo-os (0.17.0~rc5+19f17c903c715702d8eb836f140f6e303d680e8a) jessie; urgency=medium

  * New release
  * Fix invalid dependency of puavo-blackboard
  * Git(19f17c903c715702d8eb836f140f6e303d680e8a)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 20 Jun 2016 15:07:56 +0300

puavo-os (0.17.0~rc4+c90996930c652fe394352685c24c696e2d977f0f) jessie; urgency=medium

  * New release
  * Add Debian packaging to puavo-blackboard
  * blackboard: add install target to Makefile
  * blackboard: rename the top-level library package
  * blackboard: add a basic sanity check to Canvas.setBackgroundImage()
  * blackboard: add support for adding new canvas via D-Bus
  * blackboard: rename CanvasBrowser.__addNewCanvas() => addNewCanvas()
  * blackboard: add Canvas.setBackgroundImage()
  * blackboard: add tool for setting custom background images
  * blackboard: add tool for moving objects
  * blackboard: reduce the number of thumbnail rendering operations
  * blackboard: use just QLabels instead of QGraphicsViews as item
    widgets
  * blackboard: rename a private method
  * blackboard: use QListWidget to display board snapshots
  * blackboard: remove clear action
  * blackboard: add support for multiple boards
  * blackboard: open in maximized mode
  * blackboard: use -o instead of stdout redirect
  * blackboard: colorIcon(): remove hard-coded dimensions
  * blackboard: penWidthIcon(): remove hard-coded dimensions
  * blackboard: cleanup
  * blackboard: fix typo
  * blackboard: rename some private and local variables
  * blackboard: move icons module to puavo.blackboard package module
  * blackboard: use SVG icons instead
  * Git ignore all __pycache__ dirs
  * blackboard: git ignore generated icons.py
  * blackboard: add icons for line and freehand tools
  * blackboard: add Artist class to control all tools
  * blackboard: pass the current pen to the tool when drawing starts
  * blackboard: remove useless global constant
  * blackboard: rename term: pencil => freehand
  * blackboard: set the default board size to 1920x1080
  * blackboard: provide "the standard" 16-color palette
  * blackboard: add stroke width buttons to the tool bar
  * blackboard: add color icons to color buttons
  * blackboard: add color buttons to the tool bar
  * blackboard: re-order main window's initialization code
  * blackboard: select the default drawing tool by setting it checked
  * blackboard: define common brushes and pens as global constants
  * blackboard: use round cap instead of square
  * blackboard: increase the width of the stroke
  * blackboard: make pencil to the default tool
  * blackboard: rename private variable
  * blackboard: move tool bar to the bottom
  * blackboard: add separator between drawing tools and other tools
  * blackboard: add freehand pencil tool
  * blackboard: move the responsibility of drawing to specific tool
    objects
  * blackboard: add tool action group and a tool bar
  * blackboard: turn on antialiasing
  * blackboard: change colors: dark background and white pen
  * blackboard: set window title
  * blackboard: add tool for clearing the canvas
  * blackboard: add basic line drawing capability
  * blackboard: fail early if given invalid number of arguments
  * blackboard: add initial script which displays just a plain main
    window
  * blackboard: initial commit
  * desktop-bigtouch: disable GNOME's on-screen keyboard for good
  * desktop-bigtouch: disable edge drag gestures
  * Git(c90996930c652fe394352685c24c696e2d977f0f)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 20 Jun 2016 15:05:29 +0300

puavo-os (0.17.0~rc3+69d7b31b9d953973f14ea5b58a61a0dd75a49ed2) jessie; urgency=medium

  * New release
  * Rename make target: deb-pkg-install-deps => deb-pkg-install-build-
    deps
  * Install builddeps of ports in deb-pkg-install-deps target
  * Hide deb-pkg-build-{parts, ports} targets
  * Simplify ports builds
  * Wrap long Makefile lines
  * Add some .PHONY targets
  * Build both ports and parts with deb-pkg-build target
  * Simplify debian package building
  * Rename make target: deb-pkg => deb-pkg-build
  * ports: add Makefile
  * parts/devscripts: make cp-changes deduce the changes file if not
    given
  * ports/gnome-clocks: fetch upstream tarball only if it does not yet
    exist
  * ports/gnome-clocks: 3.14.1-1opinsys1
  * ports/gnome-clocks: add script for downloading the upstream source
  * ports/gnome-clocks: add patch for fixing the timer's time label
    order
  * ports/gnome-clocks: import 3.14.1-1
  * parts/ltsp client: remove session service disabling technology
  * Add parameters for enabling/disabling few system services
  * Make Nautilus window simpler for bigtouch session.
  * Git(69d7b31b9d953973f14ea5b58a61a0dd75a49ed2)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 06 Jun 2016 15:24:14 +0300

puavo-os (0.17.0~rc2+244df3033eb2331121de7ece22345cd2478b3517) jessie; urgency=medium

  * New release
  * Enable autoeth on wirelessaccesspoints by default
  * Add parameter for enabling auto-configuration of all eth devices
    (autoeth)
  * parts/rules: force libssl1.0.0 and openssl to a specific version
  * Revert "Script to execute Chromium with big touch specific
    parameter(s)."
  * Revert "Add rule for chromium-bigtouch."
  * Revert "Change launcher for web browser to chromium-bigtouch."
  * Change launcher for web browser to chromium-bigtouch.
  * Add rule for chromium-bigtouch.
  * Script to execute Chromium with big touch specific parameter(s).
  * parts/rules: add plymouth theme
  * parts/rules: cleanup whitespace
  * puavo-art: move splash background kites a bit lower
  * puavo-art: remove logo from the splash background
  * Add settings for virtual keyboard.
  * parts/rules: chromium: disable annoying info bars/popups
  * parts/rules: chromium: use native Gtk frame
  * parts/rules: webmenu: chromium has different name in Debian than in
    Ubuntu
  * parts/rules: adapt chromium Puppet module to Debian
  * parts/rules: remove motd Puppet module
  * parts/rules: remove disable_update_notifications Puppet module
  * parts/rules: add sloccount package
  * Git(244df3033eb2331121de7ece22345cd2478b3517)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 30 May 2016 17:09:28 +0300

puavo-os (0.17.0~rc1+f9cce6c5f6c47e8f97afcb6e07284979975b8e59) jessie; urgency=medium

  * New release
  * Remove puavo.hosttype configuration parameter
  * Git(f9cce6c5f6c47e8f97afcb6e07284979975b8e59)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 25 May 2016 17:37:43 +0300

puavo-os (0.16.0+1e8dda99fec6436df818a9b7699b570d6fb10a50) jessie; urgency=medium

  * New release
  * parts/conf: update README.md
  * parts/conf: rename term hosttype => profile
  * parts/conf: fix typo
  * Rename /usr/share/puavo-conf/hosttypes => hosttype-overwrites
  * Rename /usr/share/puavo-conf/hwquirks => hwquirk-overwrites
  * Rename /usr/share/puavo-conf/parameters => definitions
  * parts/conf: add support for hosttype specific parameter overwrites
  * parts/conf: refactor for simplicity
  * parts/conf: rename puavo-conf-mkdb => puavo-conf-init
  * debian: update puavo-conf description
  * parts/conf: rename puavo-conf-updatedb => puavo-conf-update
  * parts/conf: remove --sources flag from the update command
  * parts/conf: try overwrite params from device.json only if it exists
  * parts/conf: remove references to unimplemented localconf source
  * parts/rules: update initramfs whenever any puavo conf json changes
  * parts/rules: remove workspaces-to-dock GNOME Shell extension sources
  * parts/rules: remove dash-to-dock GNOME Shell extension
  * parts/rules: remove hide-panel GNOME Shell extension sources
  * Fine-tune
  * fine-tune logo and backgrounds
  * Git(1e8dda99fec6436df818a9b7699b570d6fb10a50)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 25 May 2016 15:46:34 +0300

puavo-os (0.15.0+70dbc0f57d909eb6695efe345dd2a18dfa4af966) jessie; urgency=medium

  * New release
  * desktop-bigtouch: round launcher box's corners a bit more
  * desktop-bigtouch: add some padding to launcher box items
  * desktop-bigtouch: move launcher box to the middle east
  * desktop-bigtouch: fix launcher box to affect wm's struts
  * parts/rules: update edge kernel to 4.5.0-0.bpo.2-amd64
  * desktop-bigtouch: cleanup cruft from the dconf profile
  * desktop-bigtouch: do not enable dash-to-dock anymore
  * desktop-bigtouch: rename extension: Bigtouch panel => Bigtouch User
    Experience
  * desktop-bigtouch: remove launcher box when the extension is disabled
  * desktop-bigtouch: do not reset panel's anchor point
  * desktop-bigtouch: fix variable shadowing
  * desktop-bigtouch: hide the dash when bigtouch extension is enabled
  * desktop-bigtouch: add stylesheet for the launcher box
  * parts/rules: remove unused files
  * desktop-bigtouch: use Gio DBusProxy instead of a wrapper script
  * desktop-bigtouch: add Overview launcher to the launcher box
  * desktop-bigtouch: add Onboard launcher to the launcher box
  * desktop-bigtouch: add Webmenu launcher to the launcher box
  * desktop-bigtouch: add Nautilus launcher to the launcher box
  * desktop-bigtouch: add GNOME Clocks launcher to the launcher box
  * desktop-bigtouch: add Chromium launcher to the launcher box
  * desktop-bigtouch: show own launcher panel on the right-side
  * desktop-bigtouch: limit the invokefrequency of overview-toggle
  * desktop-bigtouch: limit the invokefrequency of onboard-toggle
  * desktop-bigtouch: move overview-toggle command to a separate script
  * desktop-bigtouch: move onboard-toggle command to a separate script
  * Change Dash opacity to 0.75.
  * desktop-bigtouch: fix a stupid naming mistake
  * parts/rules: fix PuavoOS art paths
  * Set new Puavo-os wallpaper.
  * Move images to a new folder.
  * Add puavo os wallpapers/art.
  * desktop-bigtouch: toggle overview from dash
  * desktop-bigtouch: toggle onboard from dash instead of the panel
  * desktop-bigtouch: move keyboard layout menu to the left
  * desktop-bigtouch: move dateMenu to the center
  * desktop-bigtouch: move panel back to the top
  * desktop-bigtouch: use .visible instead of .get_paint_visibility()
  * desktop-bigtouch: hide search entry from the overview
  * desktop-bigtouch: move keyboard menu to the center of the panel
  * desktop-bigtouch: move app menu to the right side of the panel
  * desktop-bigtouch: move date menu to the left side of the panel
  * desktop-bigtouch: do not hide dateMenu, just disable it
  * parts/rules: install dash-to-dock GNOME Shell extension
  * Remove "show apps" button from dash.
  * Set number of workspaces to one and mode to static.
  * Add backgound image and a configuration for the dash to dock
    extension.
  * puavo-desktop-bigtouch: toggle onboard keyboard with a panel button
  * desktop-bigtouch: use dash-to-dock instead of workspaces-to-dock
  * desktop-bigtouch: add dash-to-dock gnome shell extension
  * desktop-bigtouch: optimize GNOME panel for big touch screens
  * desktop-bigtouch: fix dconf keyfile syntax
  * Git(70dbc0f57d909eb6695efe345dd2a18dfa4af966)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 24 May 2016 16:21:52 +0300

puavo-os (0.14.0+774bb6e9c1ccac1c6faef89b420b171c51668916) jessie; urgency=medium

  * New release
  * parts/client: rest-client: do not overwrite HTTP headers if timeout
    is used
  * parts/rules: autostart onboard if puavo.onscreenkeyboard.enabled ==
    true
  * parts/rules: add onboard and onboard-data packages
  * Add gnome-clocks needed for the bigtouch-desktop.
  * Change apps in the bigtouch-desktop panel.
  * parts/rules: rename dconf key file
  * parts/rules: make set edge kernel to '4.5.0-0.bpo.1-amd64' on jessie
  * parts/rules: add kernel 4.5.0-0.bpo.1-amd64
  * Git(774bb6e9c1ccac1c6faef89b420b171c51668916)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 13 May 2016 09:11:42 +0300

puavo-os (0.13.0+31b0c66489c9599a9be51c02638bd7810ff98a53) jessie; urgency=medium

  * New release
  * parts/conf: updatedb: change the default device.json path
  * parts/conf: updatedb: format --help output
  * parts/conf: updatedb: add --help option
  * parts/conf: updatedb: add --devicejson-path
  * parts/conf: updatedb: let updating fail if gathering from any source
    fails
  * parts/conf: updatedb: gather all parameter overwrites before writing
    them
  * parts/conf: remove root user requirement
  * Git(31b0c66489c9599a9be51c02638bd7810ff98a53)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 11 May 2016 12:27:45 +0300

puavo-os (0.12.0+bf73982aaa33928f3de9e75d2189fa2c959a1c19) jessie; urgency=medium

  * New release
  * parts/rules: rename puavo-bats => puavo-desktop-bigtouch
  * parts/ltsp: add xsession file for bigtouch desktops
  * parts/rules: enable workspaces-to-dock in puavo-bats desktop
  * parts/rules: add workspaces-to-dock gnome shell extension
  * parts/rules: add desktop::puavo-bats module
  * parts/rules: add gnome-shell-extension for hiding the panel
  * Use xsession-specific dconf databases
  * parts/ltsp: client: rename xsession files
  * parts/ltsp: client: drop support for metacity_compositing tag
  * Git(bf73982aaa33928f3de9e75d2189fa2c959a1c19)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 10 May 2016 15:44:02 +0300

puavo-os (0.12.0~rc1+4687a8ab316885772525d6169cb69c9f70861c6e) jessie; urgency=medium

  * New release
  * parts/ltsp: client: check /rofs dev from /proc/mounts
  * parts/ltsp: client: remove useless init-puavo script
  * Git(4687a8ab316885772525d6169cb69c9f70861c6e)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 09 May 2016 10:53:28 +0300

puavo-os (0.11.0+482ad6c90f84a86e5c62a9c230ca49ac86984896) jessie; urgency=medium

  * New release
  * parts/ltsp: client: add puavo.image.path parameter
  * parts/local-config: fix typo
  * parts/ltsp: install: update conf db whenever device.json is updated
  * parts/conf: read Puavo conf from device.json instead of making a
    HTTP query
  * parts/conf: change the default set mode of puavo-conf to 'overwrite'
  * parts/conf: add --set-mode option to puavo-conf
  * Create conf db just once, and then update it on demand
  * parts/conf: add tool for updating the database
  * parts/conf: dedicate puavo-conf-mkdb to just creating the database
  * parts/ltsp: client: remove unused init-puavo.d/49-puavo-control-
    services-by-tags script
  * Git(482ad6c90f84a86e5c62a9c230ca49ac86984896)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 09 May 2016 10:04:34 +0300

puavo-os (0.10.0+496ab5f9569ee99f99eef24d7c975865d1fc561f) jessie; urgency=medium

  * New release
  * parts/rules: packages: add iivari-client
  * parts/rules: packages: add webkiosk-language-selector
  * parts/ltsp: client re-login automatically autologin session exits
  * parts/ltsp: client: merge puavo.guestlogin.enabled and
    puavo.autologin.enabled
  * parts/ltsp: client: use puavo.guestlogin.auto to control automatic
    guest login
  * parts/ltsp: get rid useless of puavo.screen.mode
  * parts/ltsp: client: simplify Makefile by installing xsessions/*
  * parts/ltsp: client: implement infotv as a separate xsession
  * parts/ltsp: client: implement webkiosk as a separate xsession
  * parts/ltsp: client: use systemctl restart instead of upstart restart
  * parts/ltsp: drop compiz support
  * parts/ltsp: client: bring netbooted laptop to darkdm
  * parts/ltsp: client: add puavo.guestlogin.enabled parameter
  * parts/ltsp: client: deduce the default screen mode from hosttype
  * parts/ltsp: client: add puavo.xsessions.{default,locked} parameters
  * parts/rules: lightdm: use modified NAME_REGEX for guest users
  * parts/rules: lightdm: add Jessie's default adduser.conf
  * parts/rules: lightdm: add guest login support
  * parts/core: initramfs: source common functions before processing
    anything
  * parts/core: initramfs: ignore all secondary puavo partitions
  * parts/core: initramfs: do not write fstab, init-puavo does it
  * parts/core: initramfs: do not mount /state, init-puavo does it
  * parts/core: initramfs: determine the boot mode as late as possible
  * parts/core: initramfs: let rootfs source determine the boot mode
  * parts/core: initramfs: fix whitespace and indentation
  * parts/core: initramfs: remove redundant case block
  * parts/ltsp: client: set the default puavo.screen.mode to darkdm
  * parts/ltsp: client: determine systemd target from puavo.screen.mode
  * parts/ltsp: client: rename puavo.desktop.mode => puavo.screen.mode
  * Add default settings for Cinnamon desktop.
  * Git(496ab5f9569ee99f99eef24d7c975865d1fc561f)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 03 May 2016 16:01:57 +0300

puavo-os (0.10.0~rc4+3116b82f1ed69fe9732152b6fc1137b8bde1f011) jessie; urgency=medium

  * New release
  * parts/rules: disable IPv6 via sysctl
  * parts/rules: add sysctl Puppet module
  * parts/core: initramfs: fix loopmount_image() guard statement
  * parts/core: initramfs: fix shell syntax
  * parts/ltsp: client: disable nslcd on laptops
  * parts/ltsp: client: disable nscd on laptops
  * parts/ltsp: fix couple of typos
  * Git(3116b82f1ed69fe9732152b6fc1137b8bde1f011)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 27 Apr 2016 15:41:30 +0300

puavo-os (0.10.0~rc3+f1d250198e53d75ee523090a4c32404c2899adfd) jessie; urgency=medium

  * New release
  * core/initramfs: fix shell quoting in multiple places
  * core/initramfs: remove redundant check
  * core/initramfs: fix if test statement
  * Use puavo.image.path= cmdline arg instead of loop=
  * Git(f1d250198e53d75ee523090a4c32404c2899adfd)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 26 Apr 2016 13:50:08 +0300

puavo-os (0.10.0~rc2+dcfd6a4c094f10f299853126806376dfb5c3e5d5) jessie; urgency=medium

  * New release
  * Rename puavo-debian-boot => puavo-core
  * parts/ltsp: client: replace infotv and webkiosk tags with
    puavo.desktop.mode parameter
  * Git(dcfd6a4c094f10f299853126806376dfb5c3e5d5)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 26 Apr 2016 12:06:31 +0300

puavo-os (0.10.0~rc1+59ce95b531ddf0f33e12b97341db1d5efb78e741) jessie; urgency=medium

  * New release
  * parts/conf: test: add simple test script for puavo-conf CLI
  * parts/conf: fix --help exit status
  * parts/conf: rename local variables
  * parts/conf: allow anyone to call org.puavo.Conf1.{Get,GetAll,HasKey}
  * Git(59ce95b531ddf0f33e12b97341db1d5efb78e741)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 18 Apr 2016 15:30:10 +0300

puavo-os (0.9.0+4dc351f7479566f3a748c94bf16dbf7226254628) jessie; urgency=medium

  * New release
  * parts/conf: allow puavodesktop group to call org.puavo.Conf1.HasKey
  * parts/conf: allow puavodesktop group to call org.puavo.Conf1.GetAll
  * parts/conf: fix error handling in puavo_conf_dbus_set()
  * parts/conf: fallback to DBus connection if connecting to DB fails
  * parts/conf: initialize list before usage
  * parts/conf: cleanup whitespace
  * parts/conf: refactor common DBus method execution code
  * parts/conf: rename few local variables
  * parts/conf: refactor common DBus method call initialization code
  * parts/conf: refactor common DBus array iteration code
  * parts/conf: implement puavo_conf_dbus_get_all()
  * parts/conf: fix parsing of -x option
  * parts/conf: daemon: implement org.puavo.Conf1.GetAll
  * parts/conf: ruby: implement Puavo::Conf.get_all()
  * parts/conf: de-inline puavo_conf_list_free() to include it in shlib
  * parts/conf: implement puavo_conf_dbus_has_key()
  * parts/conf: daemon: implement org.puavo.Conf1.HasKey
  * parts/conf: ruby: implement Puavo::Conf.has_key?()
  * parts/conf: implement puavo_conf_dbus_clear()
  * parts/conf: daemon: implement org.puavo.Conf1.Clear
  * parts/conf: ruby: implement Puavo::Conf.clear()
  * parts/conf: fix typo in Makefile
  * parts/conf: ensure puavo-conf-daemon closes DB properly on exit
  * parts/conf: implement puavo_conf_dbus_add()
  * parts/conf: daemon: implement org.puavo.Conf1.Add
  * parts/conf: implement puavo_conf_dbus_overwrite()
  * parts/conf: daemon: implement org.puavo.Conf1.Overwrite
  * parts/conf: implement puavo_conf_dbus_set()
  * parts/conf: daemon: implement org.puavo.Conf1.Set
  * parts/conf: fix basic compiler flags
  * parts/conf: add missing const
  * parts/conf: code formatting
  * parts/conf: fix another use-after-free
  * parts/conf: fix use-after-free
  * parts/conf: rename few include guards
  * parts/conf: remove redundant includes
  * parts/conf: move all db stuff to a separate compilation unit
  * parts/conf: test: link common.o and dbus.o to test binary
  * parts/conf: move all dbus stuff to a separate compilation unit
  * parts/conf: move private common stuff to a separate compilation unit
  * parts/conf: add missing include
  * parts/conf: remove double invocation of puavo_conf_close()
  * parts/conf: implement puavo_conf_dbus_get()
  * parts/conf: gitignore test executable and lock file
  * parts/conf: encapsulate all operations in ops object as function
    pointers
  * parts/conf: rename all DB-specific functions
  * parts/conf: rename static functions
  * parts/conf: add function for getting the connection type
  * parts/conf: test: adapt to meet the dbus functionality
  * parts/conf: fix accidental double declaration of puavo_conf_add()
  * parts/conf: open dbus connection if db connection fails
  * parts/conf: whitespace cleanup
  * parts/conf: remove socket stuff, we'll be using DBus instead
  * parts/conf: install supplementary DBus files
  * parts/conf: add simple DBus daemon
  * Fix broken launchers: web browsers and gnome core apps.
  * parts/wlan: gitignore generated puavo-wlanap.service
  * parts/local-config: use puavo-conf to query the hosttype
  * parts/ltsp: client: use puavo-conf to query the hosttype
  * parts/ltsp: client: run puavo-conf-mkdb after DNS has been
    configured
  * parts/ltsp: client: remove broken breaks
  * parts/ltsp: client: remove more of the same redundant LTSP heritage
  * parts/rules: re-include autopoweroff module
  * Remove upstart job files
  * parts/rules: add ttf-ubuntu-font-family package
  * parts/ltsp: client: remove some of the redundant LTSP heritage
  * parts/conf: require puavo/etc and puavo/rest-client on-demand
  * Git(4dc351f7479566f3a748c94bf16dbf7226254628)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 18 Apr 2016 13:06:37 +0300

puavo-os (0.9.0~rc2+d432c7574d90042645ef2ac78959ccf78fd81f3a) jessie; urgency=medium

  * New release
  * make: refactor
  * make: add local APT repository to rootfs APT sources
  * make: re-build APT archive when deb packages are updated
  * make: clone puavo-os to /usr/local/src instead of /opt
  * Git(d432c7574d90042645ef2ac78959ccf78fd81f3a)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 08 Apr 2016 11:56:46 +0300

puavo-os (0.9.0~rc1+05f317ae935560fc27dbdabf42ea815436bb0e83) jessie; urgency=medium

  * New release
  * make: move .changes to debs instead of copying it
  * parts/devscripts: add script for moving .changes file and its
    references
  * make: build all in the default target
  * make: build rootfs to /var/tmp/puavo-os/rootfs by default
  * make: rename variable: mirror => rootfs_mirror
  * parts/ltsp: client: start puavo-darkdm.service by multi-user.target
  * make: get default rootfs mirror from host's APT sources
  * make: rename .PHONY targets
  * make: build debian packages only once for each release
  * make: remove useless progress message
  * make: add help target
  * make: rename target apt-get-build-dep => deb-pkg-install-deps
  * make: rename target debs => deb-pkg
  * make: rename jessie-amd64-rootfs => rootfs
  * make: change mirror variable to simple expanded variable
  * make: remove clean and install targets
  * Fix quoting in Makefile recipes
  * Add jessie-amd64-rootfs target to top-level Makefile
  * Git(05f317ae935560fc27dbdabf42ea815436bb0e83)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 06 Apr 2016 22:37:23 +0300

puavo-os (0.8.0+448d8c3b1fc541b053df16d9435ece92d5b1aa2c) jessie; urgency=medium

  * New release
  * parts/rules: bind vtun to a specific version
  * Git(448d8c3b1fc541b053df16d9435ece92d5b1aa2c)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 01 Apr 2016 14:53:29 +0300

puavo-os (0.8.0~rc5+fba03906433c7a0d71aa14d58a009f15f72eeb8d) jessie; urgency=medium

  * New release
  * debian: remove puavo-wlanap upstart job
  * debian: fix puavo-wlanap udev rules
  * parts/wlan: ap: make unit file installation depend on install prefix
  * parts/wlan: ap: make puavo-wlanap-dhclient-script executable
  * parts/wlan: ap: cleanup Makefile
  * parts/wlan: ap: add systemd service unit
  * Git(fba03906433c7a0d71aa14d58a009f15f72eeb8d)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 01 Apr 2016 12:41:00 +0300

puavo-os (0.8.0~rc4+a794d5ccc89bd06858c0fced4070ac170dc1437d) jessie; urgency=medium

  * New release
  * parts/conf: log and continue if Puavo web query fails
  * Git(a794d5ccc89bd06858c0fced4070ac170dc1437d)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 31 Mar 2016 15:00:49 +0300

puavo-os (0.8.0~rc3+5d57e5a0b566f05a7b418724337d7579c9474675) jessie; urgency=medium

  * New release
  * parts/wlan: ap: depend on specific IAPP-patched version of hostapd
  * parts/ltsp: client: remove so far unused puavo.mode parameter
  * parts/conf: avoid duplication
  * parts/ltsp: client: inline xsession display setup
  * parts/ltsp: client: apply xrandr configuration on lightdm startup
  * parts/conf: get parameter overrides from Puavo
  * parts/ltsp: client: move puavo-gtk-greeter to lib/
  * parts/ltsp: client: use puavo-conf to convey xrandr conf
  * parts/ltsp: client: fix shell variable expansion
  * parts/ltsp: client: remove the remnants fo monitors.xml hack
  * Git(5d57e5a0b566f05a7b418724337d7579c9474675)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 31 Mar 2016 12:59:39 +0300

puavo-os (0.8.0~rc2+86f672689d4978e822f35ffebf135384b0f1197c) jessie; urgency=medium

  * New release
  * parts/ltsp: client: disable ModemManager on fatclients
  * parts/ltsp: client: disable NetworkManager on fatclients
  * Git(86f672689d4978e822f35ffebf135384b0f1197c)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 24 Mar 2016 16:14:34 +0200

puavo-os (0.8.0~rc1+7c7eaffa5fe2f1183277183c1bcc29967499deac) jessie; urgency=medium

  * New release
  * parts/rules: install openjdk-8-jdk and openjdk-8-jre packages
  * parts/rules: add backports to sources, but with low priority
  * parts/ltsp: client/darkdm: run install on unregistered hosts
  * parts/ltsp: client/darkdm: move menu to a separate function
  * parts/rules: install firmware-ralink package
  * parts/rules: install firmware-iwlwifi package
  * parts/rules: install plymouth-themes package
  * Git(7c7eaffa5fe2f1183277183c1bcc29967499deac)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 24 Mar 2016 14:25:37 +0200

puavo-os (0.7.0+f3ad80e2e84473b18eb88a3226b55cc49950e81f) jessie; urgency=medium

  * New release
  * parts/client: remove confusing comment
  * parts/client: fix rest-client to match the newer http-gem API
  * Git(f3ad80e2e84473b18eb88a3226b55cc49950e81f)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 24 Mar 2016 10:08:40 +0200

puavo-os (0.7.0~rc7+26b49a090e10117daf2e113662cc10fccf099d01) jessie; urgency=medium

  * New release
  * parts/ltsp: client: start lightdm/darkdm based on hosttype
  * Git(26b49a090e10117daf2e113662cc10fccf099d01)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 23 Mar 2016 15:31:43 +0200

puavo-os (0.7.0~rc6+16d5a03b2bc6e2f0522fb2f0e7544451301d7674) jessie; urgency=medium

  * New release
  * parts/rules: use UTF-8 in consoles
  * parts/rules: configure console-setup defaults
  * Git(16d5a03b2bc6e2f0522fb2f0e7544451301d7674)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 23 Mar 2016 15:17:27 +0200

puavo-os (0.7.0~rc5+f07d121d8121408025b039b76ba0a78be2e05536) jessie; urgency=medium

  * New release
  * parts/ltsp: client/darkd setup console at startup
  * parts/ltsp: client/darkdm: use tty6 instead of tty8
  * parts/ltsp: client/darkdm: set service type to 'idle'
  * parts/ltsp: client/darkdm: start after multi-user target
  * parts/ltsp: client/darkdm: fix systemd service description
  * parts/ltsp: client/darkdm: restart immediately on exit
  * Git(f07d121d8121408025b039b76ba0a78be2e05536)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 23 Mar 2016 13:43:12 +0200

puavo-os (0.7.0~rc4+f551e77f6dfe61c92d0207fe6e429f54bda285dc) jessie; urgency=medium

  * New release
  * parts/client: unbind Gemfile versions and update Gemfile.lock
  * parts/ltsp: client/darkdm: use /bin/bash
  * parts/ltsp: remove old screen scripts
  * Git(f551e77f6dfe61c92d0207fe6e429f54bda285dc)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 23 Mar 2016 10:47:03 +0200

puavo-os (0.7.0~rc3+31764c6149feb2fdf2bdc8947a8afe4b43f88fa7) jessie; urgency=medium

  * New release
  * parts/ltsp: client/darkdm: fix help messages
  * parts/ltsp: client/darkdm: add build command
  * parts/ltsp: client/darkdm: add poweroff command
  * parts/ltsp: client/darkdm: add update command
  * parts/ltsp: client/darkdm: remove the annoying cowsay
  * parts/ltsp: client/darkdm: wait always 5 seconds before rebooting
  * parts/ltsp: client/darkdm: prefix all functions with darkdm_
  * parts/ltsp: client/darkdm: use /bin/sh instead of /bin/bash
  * parts/ltsp: client/darkdm: return 1 if when functions fail
  * parts/ltsp: client/darkdm: let it fail if prompt read fails
  * parts/ltsp: client/darkdm: do not trap SIGINT, let it fail
  * parts/ltsp: client/darkdm: style fix
  * parts/ltsp: client/darkdm: move main code to main()
  * parts/ltsp: client/darkdm: add install command
  * parts/ltsp: client: darkdm: output error messages to stderr
  * parts/ltsp: client: change vt only if it was parsed successfully
  * parts/ltsp: client: fix tty number parsing
  * parts/ltsp: client: fix syntax errors
  * parts/ltsp: client: change the default mode to 'register'
  * parts/ltsp: client: restart puavo-darkdm always
  * Git(31764c6149feb2fdf2bdc8947a8afe4b43f88fa7)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 23 Mar 2016 08:45:10 +0200

puavo-os (0.7.0~rc2+e0e617c99e62098e9c2ae742ba8d49c37ccf95a9) jessie; urgency=medium

  * New release
  * parts/devscripts: fix rc version handling
  * parts/ltsp: client: just style fix
  * parts/ltsp: client: fix cowsay path
  * parts/ltsp: client: fix darkdm to print command help at the
    beginning
  * Git(e0e617c99e62098e9c2ae742ba8d49c37ccf95a9)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 22 Mar 2016 14:34:27 +0200

puavo-os (0.7.0~rc1+12c77dd9022a82d814b7db81fd184a5803109358) jessie; urgency=medium

  * New release
  * parts/ltsp: client: run darkdm in tty8 to avoid systemd pollution
  * parts/ltsp: client: make darkdm change the current virtual terminal
    to its own
  * parts/ltsp: client: change systemd's default target based on
    puavo.mode
  * parts/ltsp: client: add puavo.mode parameter
  * parts/ltsp: client: run text prompt when not in graphical mode
  * parts/conf: add -x/--match-exact option
  * parts/devscripts: add support for updating changelog with rcX
    versions
  * parts/ltsp: client: add service unit for NBD connection monitor
  * debian: use dh-systemd
  * Git(12c77dd9022a82d814b7db81fd184a5803109358)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Tue, 22 Mar 2016 13:57:32 +0200

puavo-os (0.6.0~cabc169065ed456c9ccfe0519b22a64b9fda7c6c) jessie; urgency=medium

  * New release
  * parts/devscripts: use Readline to get input from prompts
  * parts/ltsp: client: install all files from lib/ to libdir
  * parts/ltsp: client: move all lib scripts to lib/
  * parts/ltsp: client: strip off redundant puavo- prefix from lib
    scripts
  * Git(cabc169065ed456c9ccfe0519b22a64b9fda7c6c)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 21 Mar 2016 11:18:07 +0200

puavo-os (0.5.0~ab678b6a95917cc9fae0f34fb19449f399246560) jessie; urgency=medium

  * New release
  * Add libdb5.3 as an alternative dependency to puavo-conf
  * parts/ltsp: client: remove unused puavo-ltsp-envfeed
  * parts/pkg: remove redundant license file
  * Change `make debs` to build just binary packages
  * parts/ltsp: client: rename xinitrc => lightdm-display-setup
  * parts/ltsp: client: rename puavo-desktop-session-cleanup => lightdm-
    session-cleanup
  * parts/ltsp: client: rename greeter-setup => lightdm-greeter-setup
  * parts/ltsp: client: make xinitrc executable
  * parts/ltsp: client: remove more old unused LTSP stuff
  * parts/ltsp: client: remove old script for disabling session services
  * parts/ltsp: client: disable nm-applet on fatclients
  * parts/ltsp: client: add support for disabling session services
  * parts/ltsp: client: disable nslcd on fatclients
  * parts/ltsp: client: disable avahi-daemon on fatclients
  * parts/ltsp: client: disable nscd on fatclients
  * parts/ltsp: client: add support for disabling system services
  * Git(ab678b6a95917cc9fae0f34fb19449f399246560)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Mon, 21 Mar 2016 09:49:01 +0200

puavo-os (0.4.0~671e58eefda7421a9ffef136ff859789739d43be) jessie; urgency=medium

  * New release
  * parts/ltsp: imgbuild-tool: read extra-packages-dir config option
  * parts/ltsp: imgbuild-tool: allow multiple --extra-package-dir
    options
  * Format Makefile
  * Sort .PHONY targets
  * parts/devscripts: cp-changes: copy .changes file too
  * Copy all built debian packages to debs/
  * parts/devscripts: add new script for copying .changes to a dir
  * Git(671e58eefda7421a9ffef136ff859789739d43be)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 18 Mar 2016 13:44:25 +0200

puavo-os (0.3.0~b79811a78c8be9545f9d3d0319bc0a7e200be109) jessie; urgency=medium

  * New release
  * parts/wlan: rubylib: simplify version.rb generation
  * Update .gitignores
  * parts/devscripts: disallow uncommitted changes when updating
    debian/changelog
  * Add release to deb prerequisities
  * Remove make from build dependencies
  * Build-depend on npm, not on nodejs-bundle
  * Remove redundant files
  * Add LICENSE
  * Update Standards-Version to 3.9.6
  * Add puavo-conf to dependencies of several packages
  * parts/ltsp: client: rename jetpipe configuration parameter
  * Git(b79811a78c8be9545f9d3d0319bc0a7e200be109)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 17 Mar 2016 23:22:38 +0200

puavo-os (0.2.0~85399917fe20545bdd932ccacb39c5d8d4e91654) trusty; urgency=medium

  * New release
  * parts/devscripts: let user approve the new release commit by just
    hitting ENTER
  * parts/devscripts: remove git hook support from git-update-debian-
    changelog
  * parts/devscripts: fix git-update-debian-changelog status codes for
    non-hook mode
  * parts/devscripts: make git-update-debian-changelog a bit less
    verbose
  * Add Makefile target 'release' to update debian/changelog
  * parts/devscripts: publish pre-push hook as a normal script
  * parts/devscripts: fix pre-push hook to ask the new version
  * parts/ltsp: client: remove r816x hacks
  * parts/ltsp: client: use puavo-conf to enable/disable DNS-SD printing
  * parts/ltsp: client: remove unused files
  * parts/sharedir: client: use puavo-conf to disable/enable ipsec
  * Move samba-specific ipsec stuff from ltsp to sharedir
  * parts/wlan: ap: set bridge IP only when reason is BOUND, RENEW,
    REBIND or REBOOT
  * parts/wlan: ap: use custom dhclient-script
  * parts/wlan: ap: use the default route interface for IAPP broadcasts
  * Git(85399917fe20545bdd932ccacb39c5d8d4e91654)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 17 Mar 2016 17:23:13 +0200

puavo-os (0.1.3~6406f8afa3310a10c17ac6b6d09fb51c210399ae1) trusty; urgency=medium

  * New release
  * parts/devscripts: include git commit id in changelog versions
  * parts/wlan: ap: accept empty wlanap_basic_rates tag
  * parts/wlan: ap: forbid 802.11b stations
  * parts/wlan: ap: configure basic rates via device tags
  * parts/ltsp: client: fix lightdm setup script to exit successfully
  * parts/ltsp: client: do not run xinit to setup the lightdm display
  * parts/conf: fix secure_getenv test
  * parts/wlan: gw: use keepalive for vtund sessions
  * parts/conf: remove debian dir
  * parts/wlan: rubylib: fix version generation
  * parts/conf: make secure_getenv an alias for __secure_getenv
  * parts/conf: use -pedantic instead -Wpedantic
  * parts/monitor: add clean target to Makefile
  * parts/hw-log: add clean target to Makefile
  * parts/autopilot: add clean target to Makefile
  * Downgrade libdb dependency 5.3 => 5.1
  * Depend on bundler or ruby-bundler, they are the same thing
  * Add puavo-freeze-system-to-image, that might be used to create a
    device image from a live system.
  * Add quite a bit more stuff to puavoimage.excludes, so that it might
    be more suitable for generating images from a live system.
  * Rename ltsp-image.excludes to puavoimage.excludes.
  * Do not try to run /usr/share/ltsp/xinitrc, it no longer exists, go
    straight to /usr/bin/xinit as it should be.
  * Setup /etc/puavo/hosttype.
  * Remove some init-puavo.d scripts that are currently broken.
  * In update-configuration, if grub-editenv fails for some reason,
    retry with a freshly created grubenv file.  Apparently grub-editenv
    can not deal with corrupted files, even those which it has likely
    corrupted itself (maybe?, truncated to zero files in case filesystem
    has been full?). This is bandaid solution, of course.
  * Fix init-puavo.
  * Remove pointless sleeps from init-puavo.
  * Run some initscripts from under /usr/share/puavo-ltsp/init-puavo.d
    (this mechanism will probably go away, but we need this for now).
  * Fix initramfs-path.
  * parts/ltsp: client get xrandr force parameter via puavo-conf
  * parts/ltsp: client: make udev-hotplug-monitor exit on error
  * parts/ltsp: client: get jetpipe parameters via puavo-conf
  * parts/ltsp: client: make udev-jetpipe exit on error
  * parts/conf: test: add tests for type checks
  * parts/conf: remove remnants of varlibdir-stuff from Makefile
  * parts/conf: treat all parameter values as strings
  * parts: use puavo-conf -b when retrieving boolean values
  * Git(6406f8afa3310a10c17ac6b6d09fb51c210399ae)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Thu, 17 Mar 2016 10:25:15 +0200

puavo-os (0.1.2) trusty; urgency=medium

  * New release
  * parts/conf: add --help to puavo-conf
  * parts/conf: add -b/--type-bool flag to check if the value boolean
  * parts/conf: add library function for checking value types
  * parts/conf: fix error message format
  * Adapt puavo-conf-mkdb initramfs-setup to match what current version
    provides.
  * Fix puavo-debian-boot README.md to match the current reality.
  * parts/ltsp: client: get xbacklight parameters via puavo-conf
  * parts/ltsp: client: quote shell variable
  * puavo-debian-boot depends on puavo-conf.
  * Add "puavo-debian-boot"-package, that contains /sbin/init-puavo and
    initramfs-scripts for Puavo integration.
  * Now that we are in it, drop the "ltsp-server" package as well.
  * puavo-ltsp-client does not setup initramfs-stuff anymore (we have a
    separate package for that, incoming...).
  * Do not install ltsp-client to images.
  * Drop the ltsp-client-core dependency from puavo-ltsp-client, we are
    going to go without it.  Goodbye, LTSP, don't be sad, we had some
    good times! ;-)
  * Enable webmenu puppet-module.
  * Move setup-local-package partially to image, I think it is nicer to
    run "apt-get update" after packages in sources have changed.
  * Remove ltsp/client/init-puavo.d/98-configure-xorg, it links to ltsp-
    stuff and currently just breaks things (sets Xorg-driver to "null",
    and X is not pleased).  We probably need the driver-setting
    functionality, though.
  * Do not install custom/local packages with gdebi.  Instead, setup
    things so that apt-get can handle them.
  * gdebi apparently installs only the first deb-package on command
    line, unlike what manual page suggests.  Dealing with that...
  * Fix some package directory paths and use the buildhost architecture
    as the default build architecture, not "i386".
  * Install "locales-all" instead of "language-pack-en" on Debian
    (Debian does not have the latter package).  This is so that puppet-
    rules with UTF-8 characters work (setting LANG=en_US.UTF-8 works).
  * Still one more place to change in "Ubuntu" --> "Debian" conversion.
  * Do include lsb-release package in debootstrap phase.  Our current
    image build scripts need that, and besides, I do think it is nice in
    general.
  * Debian does not have a package named "linux-image-generic", so do
    not try to install that in bootstrap.
  * Change default image build mirrors from Ubuntu to Debian.
  * Set HOME="$$HOME" for sudo explicitly so that it works in Debian
    Jessie (and other places probably).
  * Do not try to install some software which we do not yet have in
    Debian.
  * Remove duplicate ltsp-server definition.
  * Remove duplicate ltsp-client definition.
  * Fix puavo-os package dependencies.
  * Do not depend on specific ruby version.  "ruby-bundler" -->
    "bundler".
  * parts/wlan: ap: kill empty vtunds on PHY remove
  * parts/wlan: ap: setup bridges just-in-time
  * parts/rules: motd: use puavo-conf
  * parts/rules: xexit: use puavo-conf
  * parts/rules: remove puavo_wlan because of new era
  * parts/rules: remove graphics_stack_hacks because of new era
  * parts/rules: disable_suspend_by_tag: use puavo-conf
  * parts/rules: keyboard_hw_quirks: use puavo-conf
  * parts/rules: webmenu: use puavo-conf
  * parts/rules: console: use puavo-conf
  * parts/rules: packages: add puavo-conf package
  * parts/sharedir: client: use puavo-conf
  * parts/hw-tools: use puavo-conf
  * parts/autopilot: use puavo-conf
  * Git(5670d7b725887558dfddefe1436d614c9b3fb379)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Fri, 04 Mar 2016 10:59:00 +0200

puavo-os (0.1.1) trusty; urgency=medium

  * New release
  * Add puavo-conf debian package
  * parts/conf: update README
  * parts/conf: fix Makefile to install sbindir
  * parts/conf: change the default db filepath to /run/puavo-conf.db
  * Git(7026b489418489b21695d96bb988c4a8ea45a7c4)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Feb 2016 15:08:52 +0200

puavo-os (0.1.0) trusty; urgency=medium

  * Initial release
  * New release
  * Git(fcf433dcef0039f882c9bb09134817f4b124f8a4)

 -- Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>  Wed, 24 Feb 2016 13:13:34 +0200
